Index: src/uk/me/parabola/mkgmap/osmstyle/housenumber/HousenumberGenerator.java
===================================================================
--- src/uk/me/parabola/mkgmap/osmstyle/housenumber/HousenumberGenerator.java	(revision 3629)
+++ src/uk/me/parabola/mkgmap/osmstyle/housenumber/HousenumberGenerator.java	(working copy)
@@ -1820,7 +1820,11 @@
 			for (RoadPoint rp : closeRoadPoints){
 				if (house.getStreet() != null && house.getStreet().equals(rp.r.getStreet()) == false){
 					if (rp.r.getStreet() != null){
-						continue;
+						if (rp.r.getStreet().equalsIgnoreCase(house.getStreet())){
+							log.warn("accepting match in spite of different capitalization" , rp.r.getStreet(),house.getSign(), rp.r.getRoadDef(), "house:",house.getElement().toBrowseURL());
+							house.setStreet(rp.r.getStreet());
+						} else
+							continue;
 					}
 				}
 				if (rp.r != lastRoad){
